### Method

# Gtk ColorDialogchoose_rgba_finish

since: 4.10

#### Declaration [src]

    GdkRGBA*
    gtk_color_dialog_choose_rgba_finish (
      GtkColorDialog* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the `gtk_color_dialog_choose_rgba()` call and returns the resulting color.

Available since: 4.10

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkRGBA`

The selected color, or `NULL` and `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.